> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check External FI FedNow Status



## OpenAPI

````yaml api-reference/openapi-payments.json GET /fednow/routing_number/{routing_number}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /fednow/routing_number/{routing_number}:
    get:
      tags:
        - FedNow
      summary: Check External FI FedNow Status
      parameters:
        - description: Routing number of the bank
          in: path
          name: routing_number
          required: true
          schema:
            description: Routing number of the bank
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    online: true
                    receive: true
                    routing_number: '011000015'
                    send: false
              schema:
                properties:
                  online:
                    type: boolean
                  receive:
                    type: boolean
                  routing_number:
                    description: Routing number of the bank
                    type: string
                  send:
                    type: boolean
          description: The :fednow.status
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````